how to solve this error when I want to install HISAT2? "E: Unable to locate package hisat2"
1
0
Entering edit mode
15 months ago
modarzi ▴ 160

Dear all,

I need to install HISAT2 aligner in my study. My Linux version is 16.04 (Xenial Xerus). So I used the below command :

sudo apt-get install -y hisat2

but I got the below message:

"E: Unable to locate package hisat2"

I installed BWA aligner with that command but I couldn't install HISAT2. should I install it from the source?

I appreciate it if anybody shares his/her comment and experience with me.

Best Regards, Mohammad

hisat2 aligner • 753 views
ADD COMMENT
1
Entering edit mode
15 months ago
Mensur Dlakic ★ 21k

Try this command:

apt search hisat2

For me (Ubuntu 20.04 LTS) it gives the following:

hisat2/focal 2.1.0-4 amd64
  graph-based alignment of short nucleotide reads to many genomes

python3-hisat2/focal,focal 2.1.0-4 all
  Python scripts accompanying hisat2

If you don't get anything, it would mean that Hisat2 package does not exist for your version of Ubuntu. In that case you may need to compile it from the source.

ADD COMMENT
0
Entering edit mode

Thank you for your comment. I ran your command and got the below results:

Sorting ... Done
Full Text Search... Done

I think this package doesn't exist for Ubuntu 16.04(Xenial Xeous). Have you had experience with miniconda as a package manager? If you have I need a version of minicaonda for Python 2. I appreciate it if you share your comment with me.

Best Regards, Mohammad

ADD REPLY

Login before adding your answer.

Traffic: 1286 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6